[mythtv-users] Problems with Python bindings not installing with 0.23

Phil Linttell phil.linttell at rogers.com
Tue May 11 15:38:59 UTC 2010


Anyone else having problems with python bindings not getting installed
automatically with 0.23?

I include  "--with-bindings=perl,python" in the command line for
configure, and it confirms in it's output:

    # Bindings
    bindings_perl             yes
    bindings_python           yes

And yet...  they don't get installed.  For example, Jamu complains:

    ! Warning - MythTV python bindings could not be imported, error(No
    module named MythTV)

    The modules tvdb_api.py (v1.0.0 or greater), tvdb_ui.py,
    tvdb_exceptions.py and cache.py.
    They should have been installed along with the MythTV python bindings.
    Error(No module named MythTV.ttvdb.tvdb_ui)

If I manually run "sudo make install" in
release-0-23-fixes/mythtv/bindings/python, then jamu runs just fine.

This happens both on my combined back-end/front-end, and on a separate
front-end (both running ubuntu 10.04).   It's been this way for a couple
of months, whereby every time I install a new build I have to manually
install the bindings.

Not sure whether the perl bindings get installed properly... for good
measure I install them manually too.

Phil





More information about the mythtv-users mailing list